net.minecraft.network.play.client

## Enum C16PacketClientStatus.EnumState

- java.lang.Object
- - java.lang.Enum<C16PacketClientStatus.EnumState>
  - - net.minecraft.network.play.client.C16PacketClientStatus.EnumState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<C16PacketClientStatus.EnumState>
  Enclosing class:
    C16PacketClientStatus

      public static enum C16PacketClientStatus.EnumState
      extends java.lang.Enum<C16PacketClientStatus.EnumState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPEN_INVENTORY_ACHIEVEMENT`
    `PERFORM_RESPAWN`
    `REQUEST_STATS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static C16PacketClientStatus.EnumState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static C16PacketClientStatus.EnumState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERFORM_RESPAWN

          public static final C16PacketClientStatus.EnumState PERFORM_RESPAWN

    - #### REQUEST_STATS

          public static final C16PacketClientStatus.EnumState REQUEST_STATS

    - #### OPEN_INVENTORY_ACHIEVEMENT

          public static final C16PacketClientStatus.EnumState OPEN_INVENTORY_ACHIEVEMENT

  - ### Method Detail

    - #### values

          public static C16PacketClientStatus.EnumState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (C16PacketClientStatus.EnumState c : C16PacketClientStatus.EnumState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static C16PacketClientStatus.EnumState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null